%% Master Thesis - SINTEF Crane Calculations
 % Author:  Aslak J. Strand
 % Purpose: Calculations used for modelation
%% Clearing workspace:
clear all; close all; clc

%% Translatoric matrices:
syms a1 a2 a3 a4 vp1 vp2 vp3 d1 d2 d5

%           cos(vpi)    -sin(vpi)cos(alphai)    sin(vpi)sin(alphai)     ai*cos(vpi)
% Ai,i-1 =  sin(vpi)    cos(vpi)cos(alphai)     -cos(vpi)sin(alphai)    ai*sin(vpi)
%           0           sin(alphai)             cos(alphai)             di
%           0           0                       0                       1


% Checked
A01 = [cos(vp1) -sin(vp1) 0 0;
    sin(vp1) cos(vp1) 0 0;
    0 0 1 d1;
    0 0 0 1];
simplify(A01)

% Checked
A12 = [1 0 0 0;
    0 1 0 0;
    0 0 1 d2;
    0 0 0 1];
simplify(A12)

% Checked
A23 = [cos(vp3) 0 sin(vp3) 0;
    sin(vp3) 0 -cos(vp3) 0;
    0 1 0 0;
    0 0 0 1];
simplify(A23)

% Checked
A34 = [0 0 1 0;
    1 0 0 a4;
    0 1 0 0;
    0 0 0 1];
simplify(A34)

A45 = [0 0 1 0;
    1 0 0 0;
    0 1 0 d5;
    0 0 0 1];
simplify(A45)


T05 = A01*A12*A23*A34*A45;
simplify(T05)



%% EOF