%% TPK4560 - Project-calculations
 % Author:  Aslak J. Strand
 % Purpose: Calculations used for modelation
%% Clearing workspace:
clear all; close all; clc

%% Translatoric matrices:
syms a1 a2 a3 a4 vp1 vp2 vp3 d1

A01 = [cos(vp1) -sin(vp1) 0 0;
    sin(vp1) cos(vp1) 0 0;
    0 0 1 d1;
    0 0 0 1];

A12 = [cos(vp2) 0 sin(vp2) 0;
    sin(vp2) 0 -cos(vp2) 0;
    0 1 0 0;
    0 0 0 1];

A23 = [cos(vp3) -sin(vp3) 0 a3*cos(vp3);
    sin(vp3) cos(vp3) 0 a3*sin(vp3);
    0 0 1 0;
    0 0 0 1];

A34 = [1 0 0 a4;
    0 1 0 0;
    0 0 1 0;
    0 0 0 1];


T04 = A01*A12*A23*A34;
simplify(T04)

%% Complex model
syms vp5 d6

A45 = [cos(vp5) 0 sin(vp5) 0;
    sin(vp5) 0 -cos(vp5)  0;
    0 1 0 0;
    0 0 0 1];

A56 = [1 0 0 0;
    0 0 1 0;
    0 -1 0 0;
    0 0 0 1];

T06 = T04 * A45 * A56;
simplify(T06)

%% EOF